Volumes - List
Retourneert een lijst met alle opslagvolumes op een locatie.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/scaleUnits/{scaleUnit}/storageSubSystems/{storageSubSystem}/volumes?api-version=2019-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/scaleUnits/{scaleUnit}/storageSubSystems/{storageSubSystem}/volumes?api-version=2019-05-01&$filter={$filter}&$top={$top}&$skip={$skip}
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Locatie van de resource. |
|
resource
|
path | True |
string |
Naam van de resourcegroep. |
|
scale
|
path | True |
string |
Naam van de schaaleenheden. |
|
storage
|
path | True |
string |
Naam van het opslagsysteem. |
|
subscription
|
path | True |
string |
Abonnementsreferenties waarmee het Microsoft Azure-abonnement uniek wordt geïdentificeerd. De abonnements-id maakt deel uit van de URI voor elke serviceoproep. |
|
api-version
|
query | True |
string |
Client-API-versie. |
|
$filter
|
query |
string |
OData-filterparameter. |
|
|
$skip
|
query |
string |
OData skip-parameter. |
|
|
$top
|
query |
string |
Topparameter OData. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 404 Not Found |
NIET GEVONDEN |
Beveiliging
azure_auth
Autorisatie maakt gebruik van een Azure Active Directory OAuth2-stroom.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Returns a list of all storage volumes at a location.
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/72526b2b-4b61-4700-8f0c-7bb7ae9b6a2d/resourceGroups/System.redmond/providers/Microsoft.Fabric.Admin/fabricLocations/redmond/scaleUnits/s-cluster/storageSubSystems/s-cluster.v.masd.stbtest.microsoft.com/volumes?api-version=2019-05-01
Voorbeeldrespons
{
"value": [
{
"id": "/subscriptions/72526b2b-4b61-4700-8f0c-7bb7ae9b6a2d/resourceGroups/System.redmond/providers/Microsoft.Fabric.Admin/fabricLocations/redmond/scaleUnits/s-cluster/storageSubSystems/s-cluster.v.masd.stbtest.microsoft.com/volumes/48f356d4-362d-49cb-a021-fafffbe0e8ad",
"name": "redmond/s-cluster/s-cluster.v.masd.stbtest.microsoft.com/48f356d4-362d-49cb-a021-fafffbe0e8ad",
"type": "Microsoft.Fabric.Admin/fabricLocations/scaleUnits/storageSubSystems/volumes",
"location": "redmond",
"tags": {},
"properties": {
"totalCapacityGB": 1375,
"remainingCapacityGB": 1317,
"healthStatus": "Healthy",
"operationalStatus": "OK",
"repairStatus": "",
"description": "",
"action": "",
"volumeLabel": "ObjStore_1"
}
}
]
}
Definities
| Name | Description |
|---|---|
| Volume |
Weergave van een volumeresource. |
|
Volume |
Paginabare lijst met opslagvolumes. |
Volume
Weergave van een volumeresource.
| Name | Type | Description |
|---|---|---|
| id |
string |
URI van de resource. |
| location |
string |
De regio waar de resource zich bevindt. |
| name |
string |
Naam van de resource. |
| properties.action |
string |
Gedetailleerde aanbevolen actie voor HealthStatus/OperationalStatus. Leeg als HealthStatus/OperationalStatus in orde/ok is. |
| properties.description |
string |
Gedetailleerde beschrijving voor HealthStatus/OperationalStatus. Leeg als HealthStatus/OperationalStatus in orde/ok is. |
| properties.healthStatus |
string |
Status van het volume. |
| properties.operationalStatus |
string |
Operationele status van het volume. |
| properties.remainingCapacityGB |
integer (int32) |
Resterende capaciteit in GB van het volume. |
| properties.repairStatus |
string |
Herstelstatus van het volume. Leeg als er geen reparatietaak wordt uitgevoerd, bijvoorbeeld 'Wordt uitgevoerd, 90%' bij het herstellen. |
| properties.totalCapacityGB |
integer (int32) |
Totale capaciteit in GB van het volume. |
| properties.volumeLabel |
string |
Volumelabel. |
| tags |
object |
Lijst met sleutel-waardeparen. |
| type |
string |
Type resource. |
VolumeList
Paginabare lijst met opslagvolumes.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URI naar de volgende pagina. |
| value |
Volume[] |
Lijst met opslagvolumes. |